{% extends "base.html" %}

{% block title %}Account List{% endblock title %}
{% block content %}
<header>
    <nav>
        <ul>
        {% if user.is_authenticated %}
        <li><a href= "{% url 'home' %}">My Receipts</a></li>
        <li><a href= "{% url 'create_account' %}">Create Account</a></li>
        {%endif%}
        </ul>
    </nav>
</header>
<main>
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Number</th>
                <th>Number of receipts</th>
            </tr>
        </thead>

        <tbody>
            {% for account in account_list %}
                <tr>
                    <td>{{account.name}}</td>
                    <td>{{account.number}}</td>
                    <td>{{account.receipts.all|length}}</td>
                </tr>
            {%endfor%}
        </tbody>
    </table>
</main>


{% endblock content %}
